### Method

# Shumate MarkerLayer select_marker

#### Declaration [src]

    gboolean
    shumate_marker_layer_select_marker (
      ShumateMarkerLayer* self,
      ShumateMarker* marker
    )

#### Description [src]

Selects a marker in this layer.

If `ShumateMarkerLayer`:selection-mode is `GTK_SELECTION_SINGLE` or `GTK_SELECTION_BROWSE`, all other markers will be unselected. If the mode is `GTK_SELECTION_NONE` or `marker` is not selectable, nothing will happen.

#### Parameters

`marker`

  Type: `ShumateMarker`

  A `ShumateMarker` that is a child of `self`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the marker is now selected, otherwise `FALSE`.